package com.hellbreecher.arcanum.common.core;

import com.hellbreecher.arcanum.client.renderer.ArmorRendererRegister;
import com.hellbreecher.arcanum.common.armor.itemBloodDiamondArmor;
import com.hellbreecher.arcanum.common.armor.itemGreenSapphireArmor;
import com.hellbreecher.arcanum.common.armor.itemInfernalArmor;
import com.hellbreecher.arcanum.common.armor.itemInfernalDiamondArmor;
import com.hellbreecher.arcanum.common.armor.itemVoidDiamondArmor;
import com.hellbreecher.arcanum.common.lib.EnumMaterial;
import net.minecraft.inventory.EntityEquipmentSlot;
import net.minecraft.item.Item;
import net.minecraft.item.ItemArmor;
import net.minecraftforge.client.event.ModelRegistryEvent;
import net.minecraftforge.event.RegistryEvent;
import net.minecraftforge.fml.common.Mod;
import net.minecraftforge.fml.common.eventhandler.SubscribeEvent;
import net.minecraftforge.fml.common.registry.GameRegistry;
import net.minecraftforge.registries.IForgeRegistry;

/* loaded from: com_hellbreecher_arcanum_common_core.jar:com/hellbreecher/arcanum/common/core/ArcanumArmor.class */
public class ArcanumArmor {
    public static ItemArmor.ArmorMaterial GreenSapphire = EnumMaterial.GreenSapphireArmorMaterial;
    public static ItemArmor.ArmorMaterial BloodDiamond = EnumMaterial.BloodDiamondArmorMaterial;
    public static ItemArmor.ArmorMaterial VoidDiamond = EnumMaterial.VoidDiamondArmorMaterial;
    public static ItemArmor.ArmorMaterial InfernalDiamond = EnumMaterial.InfernalDiamondArmorMaterial;
    public static ItemArmor.ArmorMaterial Infernal = EnumMaterial.InfernalArmorMaterial;

    @GameRegistry.ObjectHolder("arcanum:greensapphirehelmet")
    public static Item itemGreenSapphireHelmet = new itemGreenSapphireArmor(GreenSapphire, 1, EntityEquipmentSlot.HEAD);

    @GameRegistry.ObjectHolder("arcanum:greensapphirechestplate")
    public static Item itemGreenSapphireChest = new itemGreenSapphireArmor(GreenSapphire, 1, EntityEquipmentSlot.CHEST);

    @GameRegistry.ObjectHolder("arcanum:greensapphireleggings")
    public static Item itemGreenSapphireLeggings = new itemGreenSapphireArmor(GreenSapphire, 2, EntityEquipmentSlot.LEGS);

    @GameRegistry.ObjectHolder("arcanum:greensapphireboots")
    public static Item itemGreenSapphireBoots = new itemGreenSapphireArmor(GreenSapphire, 1, EntityEquipmentSlot.FEET);

    @GameRegistry.ObjectHolder("arcanum:blooddiamondhelmet")
    public static Item itemBloodDiamondHelmet = new itemBloodDiamondArmor(BloodDiamond, 1, EntityEquipmentSlot.HEAD);

    @GameRegistry.ObjectHolder("arcanum:blooddiamondchestplate")
    public static Item itemBloodDiamondChest = new itemBloodDiamondArmor(BloodDiamond, 1, EntityEquipmentSlot.CHEST);

    @GameRegistry.ObjectHolder("arcanum:blooddiamondleggings")
    public static Item itemBloodDiamondLeggings = new itemBloodDiamondArmor(BloodDiamond, 2, EntityEquipmentSlot.LEGS);

    @GameRegistry.ObjectHolder("arcanum:blooddiamondboots")
    public static Item itemBloodDiamondBoots = new itemBloodDiamondArmor(BloodDiamond, 1, EntityEquipmentSlot.FEET);

    @GameRegistry.ObjectHolder("arcanum:voiddiamondhelmet")
    public static Item itemVoidDiamondHelmet = new itemVoidDiamondArmor(VoidDiamond, 1, EntityEquipmentSlot.HEAD);

    @GameRegistry.ObjectHolder("arcanum:voiddiamondchestplate")
    public static Item itemVoidDiamondChest = new itemVoidDiamondArmor(VoidDiamond, 1, EntityEquipmentSlot.CHEST);

    @GameRegistry.ObjectHolder("arcanum:voiddiamondleggings")
    public static Item itemVoidDiamondLeggings = new itemVoidDiamondArmor(VoidDiamond, 2, EntityEquipmentSlot.LEGS);

    @GameRegistry.ObjectHolder("arcanum:voiddiamondboots")
    public static Item itemVoidDiamondBoots = new itemVoidDiamondArmor(VoidDiamond, 1, EntityEquipmentSlot.FEET);

    @GameRegistry.ObjectHolder("arcanum:infernaldiamondhelmet")
    public static Item itemInfernalDiamondHelmet = new itemInfernalDiamondArmor(InfernalDiamond, 1, EntityEquipmentSlot.HEAD);

    @GameRegistry.ObjectHolder("arcanum:infernaldiamondchestplate")
    public static Item itemInfernalDiamondChest = new itemInfernalDiamondArmor(InfernalDiamond, 1, EntityEquipmentSlot.CHEST);

    @GameRegistry.ObjectHolder("arcanum:infernaldiamondleggings")
    public static Item itemInfernalDiamondLeggings = new itemInfernalDiamondArmor(InfernalDiamond, 2, EntityEquipmentSlot.LEGS);

    @GameRegistry.ObjectHolder("arcanum:infernaldiamondboots")
    public static Item itemInfernalDiamondBoots = new itemInfernalDiamondArmor(InfernalDiamond, 1, EntityEquipmentSlot.FEET);

    @GameRegistry.ObjectHolder("arcanum:infernalhelmet")
    public static Item itemInfernalHelmet = new itemInfernalArmor(Infernal, 1, EntityEquipmentSlot.HEAD);

    @GameRegistry.ObjectHolder("arcanum:infernalchestplate")
    public static Item itemInfernalChest = new itemInfernalArmor(Infernal, 1, EntityEquipmentSlot.CHEST);

    @GameRegistry.ObjectHolder("arcanum:infernalleggings")
    public static Item itemInfernalLeggings = new itemInfernalArmor(Infernal, 2, EntityEquipmentSlot.LEGS);

    @GameRegistry.ObjectHolder("arcanum:infernalboots")
    public static Item itemInfernalBoots = new itemInfernalArmor(Infernal, 1, EntityEquipmentSlot.FEET);

    @Mod.EventBusSubscriber(modid = "arcanum")
    /* loaded from: com_hellbreecher_arcanum_common_core.jar:com/hellbreecher/arcanum/common/core/ArcanumArmor$Registration.class */
    public static class Registration {
        @SubscribeEvent
        public static void registerItems(RegistryEvent.Register<Item> event) {
            IForgeRegistry<Item> armorRegistry = event.getRegistry();
            armorRegistry.register(ArcanumArmor.itemGreenSapphireHelmet);
            armorRegistry.register(ArcanumArmor.itemGreenSapphireChest);
            armorRegistry.register(ArcanumArmor.itemGreenSapphireLeggings);
            armorRegistry.register(ArcanumArmor.itemGreenSapphireBoots);
            armorRegistry.register(ArcanumArmor.itemBloodDiamondHelmet);
            armorRegistry.register(ArcanumArmor.itemBloodDiamondChest);
            armorRegistry.register(ArcanumArmor.itemBloodDiamondLeggings);
            armorRegistry.register(ArcanumArmor.itemBloodDiamondBoots);
            armorRegistry.register(ArcanumArmor.itemVoidDiamondHelmet);
            armorRegistry.register(ArcanumArmor.itemVoidDiamondChest);
            armorRegistry.register(ArcanumArmor.itemVoidDiamondLeggings);
            armorRegistry.register(ArcanumArmor.itemVoidDiamondBoots);
            armorRegistry.register(ArcanumArmor.itemInfernalDiamondHelmet);
            armorRegistry.register(ArcanumArmor.itemInfernalDiamondChest);
            armorRegistry.register(ArcanumArmor.itemInfernalDiamondLeggings);
            armorRegistry.register(ArcanumArmor.itemInfernalDiamondBoots);
            armorRegistry.register(ArcanumArmor.itemInfernalHelmet);
            armorRegistry.register(ArcanumArmor.itemInfernalChest);
            armorRegistry.register(ArcanumArmor.itemInfernalLeggings);
            armorRegistry.register(ArcanumArmor.itemInfernalBoots);
        }

        @SubscribeEvent
        public static void registerModels(ModelRegistryEvent event) {
            ArmorRendererRegister.registerArmorRenderer();
        }
    }
}
